## yacreader 9.7.1

=== third_party/QsLog/CMakeLists.txt ===
# CMake build support courtesy of Axel Gembe <axel@gembe.net>
cmake_minimum_required(VERSION 2.8)

project(QsLog)

# Add CMake modules
set(CMAKE_MODULE_PATH
    "${QsLog_SOURCE_DIR}/cmake"
    "${CMAKE_MODULE_PATH}"
)

include(QsLogConfigTargets)

# Add a _d to debug binaries
set(CMAKE_DEBUG_POSTFIX "_d")

# Qt5
find_package(Qt5Core REQUIRED)
set(CMAKE_AUTOMOC ON)

# As moc files are generated in the binary dir, tell to always look for includes there
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Specify build paths
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${QsLog_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${QsLog_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${QsLog_BINARY_DIR}/bin)

set(HEADER_FILES
	QsLog.h
	QsLogDest.h
	QsLogDestConsole.h
	QsLogDestFile.h
	QsLogDestFunctor.h
	QsLogDisableForThisFile.h
	QsLogLevel.h
	QsLogMessage.h
	QsLogSharedLibrary.h
    )

set(SOURCE_FILES
	QsLog.cpp
	QsLogDest.cpp
	QsLogDestConsole.cpp
	QsLogDestFile.cpp
	QsLogDestFunctor.cpp
	QsLogMessage.cpp
	QsLogLevel.cpp
    )

if(APPLE)
	# Apple's compiler will not find standard includes like <thread> or <mutex> with 10.7 target otherwise
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif()

# Use 10.7 OSX SDK
set(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")

option(QS_LOG_LINE_NUMBERS "Automatically writes the file and line for each log message" OFF)
if(QS_LOG_LINE_NUMBERS)
	add_definitions(-DQS_LOG_LINE_NUMBERS)
endif()

option(QS_LOG_DISABLE "Logging code is replaced with a no-op" OFF)
if(QS_LOG_DISABLE)
	add_definitions(-DQS_LOG_DISABLE)
endif()

option(QS_LOG_SEPARATE_THREAD "Messages are queued and written from a separate thread" OFF)
if(QS_LOG_SEPARATE_THREAD)
	add_definitions(-DQS_LOG_SEPARATE_THREAD)
endif()

option(QS_LOG_WIN_PRINTF_CONSOLE "Use fprintf instead of OutputDebugString on Windows" OFF)
if(QS_LOG_WIN_PRINTF_CONSOLE)
	add_definitions(-DQS_LOG_WIN_PRINTF_CONSOLE)
endif()

option(QS_LOG_IS_SHARED_LIBRARY "Build shared library" ON)
if(QS_LOG_IS_SHARED_LIBRARY)
	set(QS_LOG_LIBRARY_TYPE SHARED)
	add_definitions(-DQSLOG_IS_SHARED_LIBRARY)
else(QS_LOG_IS_SHARED_LIBRARY)
	set(QS_LOG_LIBRARY_TYPE STATIC)
endif(QS_LOG_IS_SHARED_LIBRARY)

option(QS_LOG_BUILD_WINDOW "Build log window, depends on Qt5::Widgets" OFF)
if(QS_LOG_BUILD_WINDOW)
	find_package(Qt5Widgets REQUIRED)
	list(APPEND ADDITIONAL_LIBRARIES Qt5::Widgets)
        list(APPEND HEADER_FILES QsLogWindowModel.h QsLogWindow.h)
        list(APPEND SOURCE_FILES QsLogWindowModel.cpp QsLogWindow.cpp)
	list(APPEND UI_FILES QsLogWindow.ui)
	list(APPEND RES_FILES QsLogWindow.qrc)
	qt5_wrap_ui(UI_SOURCE_FILES ${UI_FILES})
	qt5_add_resources(RES_SOURCE_FILES ${RES_FILES})
    add_definitions(-DQS_LOG_WINDOW)
endif()

add_library(QsLog ${QS_LOG_LIBRARY_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${UI_SOURCE_FILES} ${RES_SOURCE_FILES})

target_link_libraries(QsLog Qt5::Core ${ADDITIONAL_LIBRARIES})

install(FILES ${HEADER_FILES} DESTINATION include/QsLog)
QsLog_install_target(QsLog "")

option(QS_LOG_BUILD_TESTS "Build unit tests" OFF)
if(QS_LOG_BUILD_TESTS)
	add_subdirectory(unittest)
endif()

## yacreader 9.0.0~rc1

=== debian/changelog ===
yacreader (9.0.0~rc1-1~mx17+1) mx; urgency=medium

  * New upstream release candidate. 
  * Drop patches, fixed upstream.
  * Relax minimum Qt 5 version.
  * Depends on libqt5svg5 for icon display.
  * debian/copyright: bump years.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Feb 2018 16:35:03 -0800

yacreader (9.0.0~beta1-1mx17+1) mx; urgency=low

  * Rebuild for MX 17.
  * Replace typos-grammar.patch with fix-misspellings.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Nov 2017 16:46:40 -0700

yacreader (8.5.0-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 29 Sep 2017 13:51:49 -0700

yacreader (8.5.0-1mx15+1) mx; urgency=low

  [ Felix Kauselmann ]
  * Initial release (Closes: #755731)
  * This is a work in progress and not yet ready for Debian inclusion 
  * Updated to 8.5.0

  [ Steven Pusser ]
  * Rebuild for MX 15.
  * Add typos-grammar.patch

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 28 Sep 2017 22:19:24 -0700

=== debian/control ===
Source: yacreader
Section: contrib/graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
Build-Depends: debhelper (>= 9),
                libglu1-mesa-dev,
                libpoppler-qt5-dev,
                libqt5opengl5-dev (>= 5.3),
                libunarr-dev,
                qtbase5-dev (>= 5.3),
                qtmultimedia5-dev (>= 5.3),
                qtscript5-dev (>= 5.3),
                qtdeclarative5-dev (>= 5.3)              
Standards-Version: 4.1.1
Homepage: http://www.yacreader.com

Package: yacreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
          qml-module-qtquick-controls, 
          qrencode,
          qt5-image-formats-plugins,
          libqt5svg5
Description: Yet another comic reader
 YACReader is a free cross-platform comic reader with support for multiple
 comic files and image formats. YACReader comes with YACReaderLibrary,
 an application for browsing and managing your comic collections with
 various smooth transition effects. YACReader is fast, easy to use and
 everything you need to enjoy your digital comics.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

=== debian/watch ===
version=3
https://bitbucket.org/luisangelsm/yacreader/downloads .*/(\d\S*)\.tar\.xz

## yacreader 9.0.0

=== debian/changelog ===
yacreader (9.0.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 18 Feb 2018 15:24:34 -0800

yacreader (9.0.0-2) obs; urgency=low

  * Initial release (Closes: #755731)

 -- Felix Kauselmann <herr_k@localhost.localdomain>  Sun, 18 Feb 2018 13:37:48 +0100

=== debian/control ===
Source: yacreader
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
Build-Depends: debhelper (>= 9),
               qt5-qmake,
               qtbase5-dev,
               qtmultimedia5-dev,
               libpoppler-qt5-dev,
               qtscript5-dev,
               libqt5opengl5-dev,
               libglu1-mesa-dev,
               libunarr-dev,
               qtdeclarative5-dev
Standards-Version: 4.1.1
Homepage: http://www.yacreader.com

Package: yacreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qml-module-qtquick-controls
Suggests: qrencode, qt5-image-formats-plugins
Description: yet another comic reader
 YACReader is a free cross-platform comic reader with support for multiple
 comic files and image formats. YACReader comes with YACReaderLibrary,
 an application for browsing and managing your comic collections with
 various smooth transition effects. YACReader is fast, easy to use and
 all you need to enjoy your digital comics.

## yacreader 9.5.0

=== debian/changelog ===
yacreader (9.5.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Minimum version of Qt 5 is now 5.6.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Jul 2018 17:54:29 -0700

yacreader (9.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #755731)

 -- Felix Kauselmann <licorn@gmail.com>  Sun, 01 Jul 2018 11:45:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
 Build-Depends: debhelper (>= 9),
-               qt5-qmake,
-               qtbase5-dev,
-               qtmultimedia5-dev,
+               qtbase5-dev (>= 5.6),
+               qtdeclarative5-dev (>= 5.6),
+               qtmultimedia5-dev (>= 5.6),
                libpoppler-qt5-dev,
-               qtscript5-dev,
-               libqt5opengl5-dev,
+               qtscript5-dev (>= 5.6),
+               libqt5opengl5-dev (>= 5.6),
                libglu1-mesa-dev,
-               libunarr-dev,
-               qtdeclarative5-dev
+               libunarr-dev
 Standards-Version: 4.1.1
 Homepage: http://www.yacreader.com

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT=qt5

%:
	dh $@ --parallel

## yacreader 9.6.2

=== debian/changelog ===
yacreader (9.6.2-1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Disable patches.
  * Bump debhelper compat to 10 and drop "--parallel" flag from rules, since 
    dh 10 does that automatically.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 Oct 2019 11:56:48 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                qtbase5-dev (>= 5.6),
                qtdeclarative5-dev (>= 5.6),
                qtmultimedia5-dev (>= 5.6),
@@ -18,8 +18,8 @@
 
 Package: yacreader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, qml-module-qtquick-controls
-Suggests: qrencode, qt5-image-formats-plugins
+Depends: ${shlibs:Depends}, ${misc:Depends}, qml-module-qtquick-controls,
+         qrencode, qt5-image-formats-plugins
 Description: yet another comic reader
  YACReader is a free cross-platform comic reader with support for multiple
  comic files and image formats. YACReader comes with YACReaderLibrary,

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel
+	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## yacreader 9.7.1

=== debian/changelog ===
yacreader (9.7.1-1~mx19+1) mx; urgency=medium

  * New upstream release:
   - Image enlargement/stretching can now be disabled for fit to width
     and height.
   - New option to show covers as single pages in double page mode
     (enabled by default)
   - YACReaderLibrary:
     - update QsLog logger to version 2.1, snapshot 46b643d5bcbc
     - fix object leaks in database code
     - add bidirectional sync support
   - YACReaderLibraryServer
     - add support for port setting from the command line
     - update internal server code to QtWebApp 1.7.11

  * Update debian/copyright.
  * Remove deprecated debian/menu.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Sep 2020 13:35:20 -0700

yacreader (9.6.2-1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Disable patches.
  * Bump debhelper compat to 10 and drop "--parallel" flag from rules, since 
    dh 10 does that automatically.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 Oct 2019 11:56:48 -0700

=== debian/control ===
Source: yacreader
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
Build-Depends: debhelper (>= 10),
               libglu1-mesa-dev,
               libpoppler-qt5-dev,
               libqt5opengl5-dev (>= 5.6),
               libunarr-dev,
               qtbase5-dev (>= 5.6),
               qtdeclarative5-dev (>= 5.6),
               qtmultimedia5-dev (>= 5.6),
               qtscript5-dev (>= 5.6)
Standards-Version: 4.1.1
Homepage: http://www.yacreader.com

Package: yacreader
Architecture: any
Depends: qml-module-qtquick-controls,
         qrencode,
         qt5-image-formats-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Description: yet another comic reader
 YACReader is a free cross-platform comic reader with support for multiple
 comic files and image formats. YACReader comes with YACReaderLibrary,
 an application for browsing and managing your comic collections with
 various smooth transition effects. YACReader is fast, easy to use and
 all you need to enjoy your digital comics.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.xz/ \
  https://github.com/yacreader/yacreader/tags .*/v?(\d\S+)\.tar\.xz

## yacreader 9.8.1

=== debian/changelog ===
yacreader (9.8.1-1~mx19+1) mx; urgency=medium

  * New upstream release: 
    9.8.1 
    - YACReaderLibrary 
      - Fix “reading lists” reading order on YACReader. Now YACReader is able to
       open the right comics in the right order. 
    9.8.0:
    - YACReader 
      - Add support for full manga mode.
      - Fix UP, DOWN, LEFT,RIGHT shortcuts for moving a zoomed in page around. 
    - YACReaderLibrary
      - New search engine.
      - New manga field added to comics and folders to tag content as manga, any
        content added to a manga folder will become manga automatically.
      - Support for HTML in comic synopsis, this fixes the synopsis when it
        comes from Comic Vine with HTML tags.
      - Improve keyboard navigation in Comic Vine dialog. 

  * Update build-depends.
  
 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Jun 2021 13:41:05 -0700

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
 Build-Depends: debhelper (>= 10),
-               libglu1-mesa-dev,
                libpoppler-qt5-dev,
                libqt5opengl5-dev (>= 5.6),
+               libqt5svg5-dev (>= 5.6),
                libunarr-dev,
                qtbase5-dev (>= 5.6),
                qtdeclarative5-dev (>= 5.6),
                qtmultimedia5-dev (>= 5.6),
-               qtscript5-dev (>= 5.6)
 Standards-Version: 4.1.1
 Homepage: http://www.yacreader.com
 
 Package: yacreader
 Architecture: any
-Depends: qml-module-qtquick-controls,
+Depends: qml-module-qtgraphicaleffects, 
+         qml-module-qtquick-controls,
          qrencode,
          qt5-image-formats-plugins,
          ${misc:Depends},

## yacreader 9.8.2

=== debian/changelog ===
yacreader (9.8.2-1~mx21+1) mx; urgency=medium

  * New upstream release:
  * Version counting is based on semantic versioning.
  * Fix opening comics from the continue reading banner.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Jul 2021 10:59:41 -0700

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                libunarr-dev,
                qtbase5-dev (>= 5.6),
                qtdeclarative5-dev (>= 5.6),
-               qtmultimedia5-dev (>= 5.6),
+               qtmultimedia5-dev (>= 5.6)
 Standards-Version: 4.1.1
 Homepage: http://www.yacreader.com
 
 Package: yacreader
 Architecture: any
-Depends: qml-module-qtgraphicaleffects, 
+Depends: qml-module-qtgraphicaleffects,
          qml-module-qtquick-controls,
          qrencode,
          qt5-image-formats-plugins,

## yacreader 9.9.1

=== debian/changelog ===
yacreader (9.9.1-1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Add qtquickcontrols2-5-dev as BD, qml-module-qtquick-controls2 as
    runtime D.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Sep 2022 16:20:51 -0700

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                libqt5opengl5-dev (>= 5.6),
                libqt5svg5-dev (>= 5.6),
                libunarr-dev,
+               qtquickcontrols2-5-dev,
                qtbase5-dev (>= 5.6),
                qtdeclarative5-dev (>= 5.6),
                qtmultimedia5-dev (>= 5.6)
@@ -18,7 +19,7 @@
 Package: yacreader
 Architecture: any
 Depends: qml-module-qtgraphicaleffects,
-         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
          qrencode,
          qt5-image-formats-plugins,
          ${misc:Depends},

## yacreader 9.9.2

=== debian/changelog ===
yacreader (9.9.2-1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Fix potential infinite loop/crash on library updates.
    - Fix comic properties dialog sizing.
    - Fixes and stability improvements.

  * Update minver required for Qt 5.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Oct 2022 16:48:22 -0700

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
 Build-Depends: debhelper (>= 10),
                libpoppler-qt5-dev,
-               libqt5opengl5-dev (>= 5.6),
-               libqt5svg5-dev (>= 5.6),
+               libqt5opengl5-dev (>= 5.12),
+               libqt5svg5-dev (>= 5.12),
                libunarr-dev,
-               qtquickcontrols2-5-dev,
-               qtbase5-dev (>= 5.6),
-               qtdeclarative5-dev (>= 5.6),
-               qtmultimedia5-dev (>= 5.6)
+               qtbase5-dev (>= 5.12),
+               qtdeclarative5-dev (>= 5.12),
+               qtmultimedia5-dev (>= 5.12),
+               qtquickcontrols2-5-dev  (>= 5.12)
 Standards-Version: 4.1.1
 Homepage: http://www.yacreader.com

## yacreader 9.10

=== debian/changelog ===
yacreader (9.10-1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Better support for HDPI screens (SVG icons).
    - Update QtWebApp webserver to v1.8.6.
    - New folder content view that replaces the old subfolders in this folder
      view shown when folders don't have direct comics.
    - Fixed going forward in history navigation.
    - Continue Reading view that it is shown for the root folder.
    - Linux: Add fallback for dynamically loading libqrencode on distros
      that don't provide unversioned library symlinks.
    - Fixed selected folder restoration after folder updates.
    - Better support for HDPI screens (SVG icons).
    - Add option to delete metadata from comics.
    - Importing ComicInfo.XML is now optional and disabled by default, you can
      change the behavior in Settings -> General.
    - Add option to scan XML metadata from all the comics in a folder.
    - Add webui status page (reachable by navigating to server::port/webui).

  * debian/control: add qttools5-dev-tools to build-deps to provide lrelease.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 19 Nov 2022 12:21:04 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                libpoppler-qt5-dev,
                libqt5opengl5-dev (>= 5.12),
                libqt5svg5-dev (>= 5.12),
@@ -12,7 +12,8 @@
                qtbase5-dev (>= 5.12),
                qtdeclarative5-dev (>= 5.12),
                qtmultimedia5-dev (>= 5.12),
-               qtquickcontrols2-5-dev  (>= 5.12)
+               qtquickcontrols2-5-dev (>= 5.12),
+               qttools5-dev-tools  (>= 5.12)
 Standards-Version: 4.1.1
 Homepage: http://www.yacreader.com

## yacreader 9.11

=== debian/changelog ===
yacreader (9.11-1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Fix segfault (or worse) when exiting YACReader while processing a comic.
    - Fix last read page calculation in double page mode.
    - Fix drag&drop in the comics grid view.
    - Detect back/forward mouse buttons to move back and forward through the
      browsing history.
    - Fix crash when disabling the server.
    - Run logger in a dedicated thread to avoid segfaults at application
      shutdown.
    - Add support for poppler-qt6 pdf backend.
    - Remove image allocation limit.

  * Update copyright for 2023.
  * d/control: Bump to debhelper-compat = 13.
  * d/rules: remove unecessary QT_SELECT=5.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Jan 2023 16:39:44 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libpoppler-qt5-dev,
                libqt5opengl5-dev (>= 5.12),
                libqt5svg5-dev (>= 5.12),

## yacreader 9.12.0

=== debian/changelog ===
yacreader (9.12.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 13 May 2023 16:24:35 -0700

yacreader (9.12.0-1) unstable; urgency=medium

  * Override dh_installsystemd
  * New upstream version 9.12.0
  * Move yacreaderlibraryserver to seperate package

 -- Felix Kauselmann <licorn@gmail.com>  Fri, 28 Apr 2023 16:19:36 +0200

yacreader (9.11.0-1) unstable; urgency=medium

  * Update Debian watch file for newer Github API
  * New upstream version 9.11.0
  * Increase Debhelper compat level
  * Fix debian/rules
  * Remove unneeded translation patch

 -- Felix Kauselmann <licorn@gmail.com>  Mon, 30 Jan 2023 19:50:22 +0100

yacreader (9.10.0-2) unstable; urgency=medium

  * Update dependencies

 -- Felix Kauselmann <licorn@gmail.com>  Fri, 25 Nov 2022 09:59:09 +0100

yacreader (9.10.0-1) unstable; urgency=medium

  * New upstream version 9.10.0
  * Fix regression in translation install target
  * Add debian/clean

 -- Felix Kauselmann <licorn@gmail.com>  Thu, 24 Nov 2022 12:39:05 +0100

yacreader (9.9.1-1) unstable; urgency=medium

  * New upstream version 9.9.1

 -- Felix Kauselmann <licorn@gmail.com>  Sat, 10 Sep 2022 14:19:55 +0200

yacreader (9.8.1-1) unstable; urgency=medium

  * New upstream version 9.8.1

 -- Felix Kauselmann <licorn@gmail.com>  Thu, 03 Jun 2021 12:45:24 +0200

yacreader (9.8.0-1) unstable; urgency=medium

  * New upstream version 9.8.0
  * Update dependencies

 -- Felix Kauselmann <licorn@gmail.com>  Thu, 03 Jun 2021 12:41:54 +0200

yacreader (9.7.1.2009123-1) unstable; urgency=medium

  * Remove menu file
  * Add rule to skip shlibsdeps on Archlinux
  * New upstream version 9.7.1
  * Fix watchfile
  * Update copyright
  * Add lintian overrides for bad source (translator.html)
  * Require at least Debhelper 10 for building

 -- Felix Kauselmann <licorn@gmail.com>  Sun, 08 Nov 2020 19:17:03 +0100

yacreader (9.6.2.1909283-1) unstable; urgency=medium

  * New upstream version 9.6.2.1909283
  * remove unneeded patches
  * Update dependencies

 -- Felix Kauselmann <licorn@gmail.com>  Mon, 23 Dec 2019 22:47:02 +0100

## yacreader 9.13.0

=== debian/changelog ===
yacreader (9.13.0-1~mx23+1) mx; urgency=medium

  * New upstream version 9.13.0:
    - Avoid showing stale information in the server config dialog by updating
      the connection information when the dialog is opened.
    - Add new metadata support, it improves compatibility with ComicInfo.xml
    - Add support for showing a "recently added/updated" indicator. The number
      of days to consider something recent can be configured in the settings.
    - Improved comic metadata dialog.
    - Add textual tags support that can be queried through the search engine.
    - Make = in the search engine work as : does.
    - Add new operators to the search engine: exact match ==, <, >, <=, >=.
    - Support filtering by since/before dates in the search engine;
      e.g. added > 7 means recent content added since 7 days ago, and
      added < 30 means content added before the last 30 days.
    - Show the full library path in the dialog shown to warn about
      missing libraries.
    - Fix scroll bar in the info comics view in Qt6 builds.
    - New Recent smart list, it will show recent comics added.
    - Try to detect changed files with the same name on libraries updates,
      there is also a new setting to decide if the modified date of a file 
      should be used as an indicator to know if the file has been changed
      since it was added (disabled by default).
    - Fix alphanumeric navigation in the folders tree view. Shortcuts were
      interfering the default behaviour, now some shortcuts will be ignored if
      the folders tree has the focus.
    - Fix sorting in the Comic Vine series selection dialog.
    - Fix getting only distinct rows when querying folders through the
      search engine.
    - Add shortcuts for moving by one the double page mode to the left/right,
      by default CTRL + SHIFT + LEFT, and, CTRL + SHIFT + RIGHT. Remember that
      you can change any shortcut in the shortcuts dialog. You can also achieve
      this functionality using the "Go to page flow" and chossing the page you
      want to be on the left/right (depending on the reading mode comic/manga).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 16:49:58 -0700

yacreader (9.12.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 13 May 2023 16:24:35 -0700

## yacreader 9.13.1

=== debian/changelog ===
yacreader (9.13.1-1~mx23+1) mx; urgency=medium

  * New upstream version 9.13.1:
    -In Library, fix crash when dropping comics in sublists.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 16 Jul 2023 12:21:16 -0700

yacreader (9.13.0-1~mx21+1) mx; urgency=medium

  * New upstream version 9.13.0:
    - Avoid showing stale information in the server config dialog by updating
      the connection information when the dialog is opened.
    - Add new metadata support, it improves compatibility with ComicInfo.xml
    - Add support for showing a "recently added/updated" indicator. The number
      of days to consider something recent can be configured in the settings.
    - Improved comic metadata dialog.
    - Add textual tags support that can be queried through the search engine.
    - Make = in the search engine work as : does.
    - Add new operators to the search engine: exact match ==, <, >, <=, >=.
    - Support filtering by since/before dates in the search engine;
      e.g. added > 7 means recent content added since 7 days ago, and
      added < 30 means content added before the last 30 days.
    - Show the full library path in the dialog shown to warn about
      missing libraries.
    - Fix scroll bar in the info comics view in Qt6 builds.
    - New Recent smart list, it will show recent comics added.
    - Try to detect changed files with the same name on libraries updates,
      there is also a new setting to decide if the modified date of a file 
      should be used as an indicator to know if the file has been changed
      since it was added (disabled by default).
    - Fix alphanumeric navigation in the folders tree view. Shortcuts were
      interfering the default behaviour, now some shortcuts will be ignored if
      the folders tree has the focus.
    - Fix sorting in the Comic Vine series selection dialog.
    - Fix getting only distinct rows when querying folders through the
      search engine.
    - Add shortcuts for moving by one the double page mode to the left/right,
      by default CTRL + SHIFT + LEFT, and, CTRL + SHIFT + RIGHT. Remember that
      you can change any shortcut in the shortcuts dialog. You can also achieve
      this functionality using the "Go to page flow" and chossing the page you
      want to be on the left/right (depending on the reading mode comic/manga).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 16:49:58 -0700

## yacreader 9.14.2

=== debian/changelog ===
yacreader (9.14.2-1) unstable; urgency=medium

  * New upstream version 9.14.2

 -- Felix Kauselmann <licorn@gmail.com>  Fri, 16 Feb 2024 10:17:29 +0100

yacreader (9.13.1-2) unstable; urgency=medium

  * Update runtime dependencies

 -- Felix Kauselmann <licorn@gmail.com>  Wed, 30 Aug 2023 23:31:47 +0200

yacreader (9.13.1-1) unstable; urgency=medium

  * New upstream version 9.13.1

 -- Felix Kauselmann <licorn@gmail.com>  Wed, 30 Aug 2023 23:06:56 +0200

=== debian/control ===
Source: yacreader
Section: graphics
Priority: optional
Maintainer: Felix Kauselmann <licorn@gmail.com>
Build-Depends: debhelper (>= 13), qt5-qmake, qtbase5-dev, qtmultimedia5-dev,
  libpoppler-qt5-dev, libqt5opengl5-dev, libunarr-dev, qtdeclarative5-dev,
  libqt5svg5-dev, qtquickcontrols2-5-dev, qttools5-dev-tools
Standards-Version: 4.1.1
Homepage: http://www.yacreader.com

Package: yacreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qml-module-qtquick-controls2,
  qml-module-qtquick-layouts, qml-module-qtgraphicaleffects,
  qt5-image-formats-plugins
Description: Yet another comic reader
 YACReader is a free cross-platform comic reader with support for multiple
 comic files and image formats. YACReader comes with YACReaderLibrary,
 an application for browsing and managing your comic collections with
 various smooth transition effects. YACReader is fast, easy to use and
 all you need to enjoy your digital comics.

Package: yacreaderlibraryserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yacreader
Description: YACReader library server, headless version for use with
 YACReader apps for mobile devices on iOS and Android

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_install:
	make INSTALL_ROOT=$(CURDIR)/debian/yacreader sub-YACReader-install_subtargets
	make INSTALL_ROOT=$(CURDIR)/debian/yacreader sub-YACReaderLibrary-install_subtargets
	make INSTALL_ROOT=$(CURDIR)/debian/yacreaderlibraryserver sub-YACReaderLibraryServer-install_subtargets

#override_dh_auto_configure:override
#	dh_auto_configure -- CONFIG+=pdfium

# conditional override to allow builds on archlinux
override_dh_shlibdeps:
	:
ifneq (,$(wildcard /etc/arch-release))
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
else
	dh_shlibdeps
endif

## yacreader 9.15.0

=== debian/changelog ===
yacreader (9.15.0-1~mx23+1) mx; urgency=medium

  * New upstream version 9.15.0:
     ### YACReader
     - Save magnifying glass size and zoom level.
     - Add shortcut to reset the magnifying glass to its defaults (size and
       zoom), it is `slash` by default but it can be reasigned.
     - Bump PDF render size.
     - Fix trackpad scrolling, it makes using trackpads more reponsive
       and natural.
     - Added more info to Help -> System info.

     ### YACReaderLibrary
     - Fix headers in the table view getting stuck in a non moveable state.
     - Add option to set the type of a library. It will convert all the content
       to desired type (comic, manga, etc) and it will set that type as the
       default one for that library. Available in the library context menu.
     - Added more info to Help -> System info.
     - New setting to open comics in third party reader apps, it works by
       entering a command that will launch the app, e.g. 
       "/path/to/the/app {comic_file_path}". You can use `{comic_file_path}`
       as a placeholder where `YACReaderLibrary` will place thet path to 
       the comic file.
     - Purge covers and metadata not being used after a full library update.
     - Fix crash when updating the current folder content after a library
       update.
     - Fix crash when current folders is empty after an update.
     - Enable dropping content on the FolderContentView.
     - Fix `open containing folder...` shortcut for comics.
     - Add a dialog to show information about a library, it includes the number
       of folders and comics and the number of read comics.
     - Fix occasional crashes when using automatic library updates.
     - Add setting to hide the "Continue Reading..." banner from the home view.
     - Improve Grid and Flow Info comics view scroll performance.

     ### YACReaderLibraryServer
     - New command --system-info to print information about the execution
       environment and available resources (including what image formats are
       supported and what libraries are used by the app).
     - Fix automatic libraries updates not being triggered.

     ### All apps
     - Sorting heuristic to try to find spreads in the content of a comic is
       now only used for files with less than 1000 pages to avoid false positives.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Jan 2025 13:12:18 -0800

yacreader (9.14.2-1~mx23+1) mx; urgency=medium

    - New upstream version 9.14.2:
    - Fix columns in the search results.
    - Fix type not being propagated to new folders from their parents.
    - Fix default type set to folders in the root folder when they are added.
    - Add setting to disable scroll animations and scroll smoothing,
      recommended if you are using a touch pad or if you find the mouse wheel
      behaviour laggy.
    - Fix missing translation when opening YACReader from YACReaderLibrary.
    - Fix "Set type" context menu the grid view for folders.
    - Add a different versioning strategy for databases. DBs version will
      change only when the structure changes and not when YACReader version
      changes.
    - Add support for updating libraries automatically with various settings
      to chose from. During automatic library updates most actions are 
      disabled, you can stop an update by clicking on the busy indicator next
      to the Libraries title.
    - Improve content reloading. Navigation and selection state is no longer
      reset after content changes (e.g. library updates, tags edits, etc.)
    - The app will try to move comics and folders to the trash bin when
      deletions are requested, if the file system used doesn't support trash
      bin the files will be removed permanently.
    - Add menu to choose what columns are displayed in the table comics view
      (do a right click on the header to show it). The view has new 3 new
      headers to choose from (Series, Volume and Story arc).
    - Migrate `number` and `arcNumber` data types to `TEXT`. This only affects
      databases created before 9.13 and fixes problems with some formats of
      numbers (e.g. 1.10).
    - Propagate update date to all the parent folders.
    - Fix crash when resorting comics in reading lists in "table view" view and
      the comic flow is hidden.
    - Fix cover loading in QML views due to malformed URLs.
    - Improve style of the webui status page.
    - Fix type not being propagated to new files in a folder.
    - Mark the current type in the context menu so the user can know the
      current type.

  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Feb 2024 18:29:47 -0800

=== debian/control ===
Source: yacreader
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libpoppler-qt5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libunarr-dev,
               qt5-qmake,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.1
Homepage: http://www.yacreader.com

Package: yacreader
Architecture: any
Depends: qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         qt5-image-formats-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Yet another comic reader
 YACReader is a free cross-platform comic reader with support for multiple
 comic files and image formats. YACReader comes with YACReaderLibrary,
 an application for browsing and managing your comic collections with
 various smooth transition effects. YACReader is fast, easy to use and
 all you need to enjoy your digital comics.

Package: yacreaderlibraryserver
Architecture: any
Depends: yacreader, ${misc:Depends}, ${shlibs:Depends}
Description: YACReader library server, headless version for use with
 YACReader apps for mobile devices on iOS and Android

=== debian/rules ===
--- 
+++ 
@@ -35,3 +35,7 @@
 else
 	dh_shlibdeps
 endif
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

opts="searchmode=plain" \
https://api.github.com/repos/YACReader/@PACKAGE@/releases?per_page=50 \
https://github.com/YACReader/@PACKAGE@/releases/download/@ANY_VERSION@/@PACKAGE@-\d[\.\d]*-src.tar.xz

## yacreader 9.16.0

=== debian/changelog ===
yacreader (9.16.0-1mx25) mx; urgency=medium

  * New upstream version 9.16.0:
     ### YACReader
     - Don't use scroll animations on macos by default, it where hdpi scroll
       is most likely to be used.
     -  New toolbar on macos.
     -  New mouse modes to turn pages. You can setup the app to use the
       left/right buttons to turn pages directly or you can click on the
       left/right part of the screen to turn pages.
     -  New setting to control whether the time is shown in the
       'current page/total' label.

     ### YACReaderLibrary
     -  Improve flexibility of the open comic in third party app setting so
       more complex commands can be used. e.g. 
      `open -a "/Applications/My Reader.app" "{comic_file_path}"`.
     -  Fix setting the comic rating in the table view.
     -  Log libraries validation when the app starts.
     -  New toolbar on macos.
     -  New setting in Comic Vine scraper to force exact volume matches.
     -  Better default search query in the Comic Vine scraper.
     -  Improved navigation in Comic Vine scraper, including keeping the
       current query around to make edits and refined searches easier.
     -  Add support for custom covers for any folder using the context menu.
     -  The edit cover buttons now support looping through pages, going forward
       from the last returns to the first, and going backward from the first
       jumps to the last.
     -  Add support for custom covers for comics using the edit metadata
       dialog, you can use a pick file button or drag&drop an image into the
       cover view in the dialog.
     -  Covers can be set in bulk for various comics at once.
     -  New button to reset to the default cover of a comic.
     -  Support for storing the new image filters from iOS and Android apps.

     ### YACReaderLibraryServer
     -  Log libraries validation when the app starts.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 07 Dec 2025 12:36:22 -0800

yacreader (9.15.0-1~mx25) mx; urgency=medium

  * Rebuild for MX 25.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Nov 2025 09:12:34 -0800

## yacreader 9.16.2

=== debian/changelog ===
yacreader (9.16.2-1mx25) mx; urgency=medium

  * New upstream version 9.16.2:
  
    - New customizable User Agent string to use it with Comic Vine. It can be
      set in YACReaderLibrary.ini in the [ComicVine] section using the 
      COMIC_VINE_USER_AGENT key. Please, don't use it unless you are having
      problems.
    - Prevent crash when opening the folders context menu if a folder is 
      not selected.
    - Fix crash when using the Set type menu on libraries

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Dec 2025 21:50:28 -0800

## yacreader 9.16.3

=== debian/changelog ===
yacreader (9.16.3-1mx25) mx; urgency=medium

  * New upstream version 9.16.3:
    ### YACReader
     - Fix current page/time label content when the content is too long.

    ### YACReaderLibrary
     - Fix table view last section stretch. Before it was only working
       randomly.
     - Fix empty table view caused by wront state being saved. You'll need to
       reconfigure the table view headers to your liking after this.
     - Fix open comic shortcut in fullscreen mode.


 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Jan 2026 22:51:20 -0800

yacreader (9.16.2-1mx21) mx; urgency=medium

  * New upstream version 9.16.2:
  
    - New customizable User Agent string to use it with Comic Vine. It can be
      set in YACReaderLibrary.ini in the [ComicVine] section using the 
      COMIC_VINE_USER_AGENT key. Please, don't use it unless you are having
      problems.
    - Prevent crash when opening the folders context menu if a folder is 
      not selected.
    - Fix crash when using the Set type menu on libraries

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Dec 2025 21:50:28 -0800
